CHARDETECT(1)

NAME
chardetect – takes one or more file paths and reports their detected encodings

SYNOPSIS
chardetect [-h] [--version] [input ...]

OPTIONS

  POSITIONAL ARGUMENTS

input
    File whose encoding we would like to determine. (default: stdin)

  OPTIONAL ARGUMENTS

-h, --help
    show a help message and exit

--minimal
    Print only the encoding to standard output

-l, --legacy
    Rename legacy encodings to more modern ones.

--version
    show program’s version number and exit